# Copyright 2010-2015  Lars Wirzenius
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.


import cliapp
import os
import shutil
import string
import time

import jtlib


class AttachCommand(cliapp.Plugin):

    def enable(self):
        self.app.add_subcommand(
            'attach', self.run, arg_synopsis='DRAFT-ID [FILE]...')

    def run(self, args):
        '''Attach files to a journal entry draft.'''

        if len(args) < 2:
            raise cliapp.AppException('Usage: journal-note attach ID file...')

        drafts_dir = jtlib.DraftsDirectory(self.app.drafts_dir())
        dirname = drafts_dir.get_draft_attachments_dirname(args[0])
        if not os.path.exists(dirname):
            os.mkdir(dirname)
        for filename in args[1:]:
            shutil.copy(filename, dirname)
